{
    "metrics": {
        "customEvaluationMetricNeedsProba": false, 
        "evaluationMetric": "R2", 
        "liftPoint": 0.4, 
        "customEvaluationMetricGIB": true, 
        "costMatrixWeights": {
            "tpGain": 1.0, 
            "fnGain": 0.0, 
            "tnGain": 0.0, 
            "fpGain": -0.3
        }
    }, 
    "rf_regressor_grid": {
        "n_jobs": 4, 
        "max_tree_depth": {
            "values": [
                8
            ], 
            "gridMode": "EXPLICIT", 
            "randomMode": "RANGE", 
            "limit": {
                "min": 1
            }, 
            "range": {
                "scaling": "LINEAR", 
                "max": 20, 
                "nbValues": 3, 
                "min": 10
            }
        }, 
        "selection_mode": "auto", 
        "enabled": true, 
        "min_samples_leaf": {
            "values": [
                1
            ], 
            "gridMode": "EXPLICIT", 
            "randomMode": "RANGE", 
            "limit": {
                "min": 1
            }, 
            "range": {
                "scaling": "LINEAR", 
                "max": 20, 
                "nbValues": 3, 
                "min": 1
            }
        }, 
        "n_estimators": {
            "values": [
                100
            ], 
            "gridMode": "EXPLICIT", 
            "randomMode": "RANGE", 
            "limit": {
                "min": 1
            }, 
            "range": {
                "scaling": "LINEAR", 
                "max": 200, 
                "nbValues": 3, 
                "min": 80
            }
        }, 
        "max_feature_prop": {
            "values": [
                0.3
            ], 
            "gridMode": "EXPLICIT", 
            "randomMode": "RANGE", 
            "limit": {
                "max": 1.0, 
                "min": 1e-23
            }, 
            "range": {
                "scaling": "LINEAR", 
                "max": 0.7, 
                "nbValues": 3, 
                "min": 0.1
            }
        }, 
        "max_features": {
            "values": [
                5
            ], 
            "gridMode": "EXPLICIT", 
            "randomMode": "RANGE", 
            "limit": {
                "min": 1
            }, 
            "range": {
                "scaling": "LINEAR", 
                "max": 20, 
                "nbValues": 3, 
                "min": 1
            }
        }
    }, 
    "algorithm": "RANDOM_FOREST_REGRESSION", 
    "grid_search_params": {
        "nIter": 0, 
        "splitRatio": 0.8, 
        "nContainers": 4, 
        "distributed": false, 
        "nIterRandom": 3, 
        "bayesianOptimizer": "SCIKIT_OPTIMIZE", 
        "strategy": "GRID", 
        "randomized": true, 
        "shuffleIterations": 1, 
        "seed": 0, 
        "mode": "KFOLD", 
        "timeout": 0, 
        "cvSeed": 1337, 
        "nJobs": 4, 
        "nFolds": 5, 
        "stratified": true
    }, 
    "autoOptimizeThreshold": true, 
    "gridLength": 1, 
    "computeLearningCurves": false, 
    "forcedClassifierThreshold": 0.0, 
    "skipExpensiveReports": false, 
    "max_ensemble_nodes_serialized": 6000, 
    "pluginAlgoCustomGridSearch": false
}